<?php session_start();?>
<?php include('../_cfg/config.php');?>
<?php include('php_gene1.php'); ?>
<?php include('php_session.php');?>
<?php
echo '<br>';
echo 'TEST 5';
echo '<br>';

// pagomedios
$token='2y-13-tx-zsjtggeehkmygjbtsf-51z5-armmnw-ihbuspjufwubv4vxok6ery7wozao3wmggnxjgyg';


$url='https://cloud.abitmedia.com/api/payments/index?access-token='.$token.'&initial_date=2020-01-01';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 

// Make sure you set the nessary headers as a $headers array
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);


// echo '*/*/*/*/*'.$url;


$url='https://cloud.abitmedia.com/api/payments/create-payment-request';


$url='https://cloud.abitmedia.com/api/payments/create-payment-link';
$url.='?access-token='.$token;


$body='';
// $body.='companyType=Empresa';
// $body.='&document=0915379374';
// $body.='&documentType=01';
// $body.='&fullName=Vicente Ruiz';
// $body.='&address=Ciudad del Rio';
// $body.='&mobile=0996030568';
// $body.='&email=vicore@hotmail.com';
// $body.='&reference=001101-123456789';
$body.='&description=FACTURA';
$body.='&amount=224.00';
$body.='&amountWithTax=200.00';
$body.='&amountWithoutTax=0.00';
$body.='&tax=24.00';
// $body.='&url=http://germanyasa.com.ec';
// $body.='&gateway=3';
$body.='&generate=0';

// $url.='&'.$body;

echo '**/*/'.$url;




$body='{';
// $body.='companyType=Empresa';
// $body.='&document=0915379374';
// $body.='&documentType=01';
// $body.='&fullName=Vicente Ruiz';
// $body.='&address=Ciudad del Rio';
// $body.='&mobile=0996030568';
// $body.='&email=vicore@hotmail.com';
// $body.='&reference=001101-123456789';
$body.='"description":"FACTURA"';
$body.='"amount":"224.00"';
$body.='"amountWithTax":"200.00"';
$body.='"amountWithoutTax":"0.00"';
$body.='"tax":"24.00"';
// $body.='&url=http://germanyasa.com.ec';
// $body.='&gateway=3';
$body.='"generate":"0"';

$body.='}';






// $url = "http://www.example.com/services/calculation";
//         $page = "/services/calculation";
$headers = array(
    'Content-type: application/json'
);
curl_setopt($curlHandle, CURLOPT_HTTPHEADER, $headers);
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 

// Make sure you set the nessary headers as a $headers array
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "post");



// documentType	string	Si	Tipo de documento. Valores aceptados: '01' Cédula de identidad, '02' RUC, Pasaporte, '03' ID del exterior
// fullName	string	Si	Razón social del tarjetahabiente
// address	string	Si	Dirección del tarjetahabiente
// mobile	string	Si	Número celular del tarjetahabiente
// email	string	Si	Email del tarjetahabiente
// reference	string	Si	Código alfanumérico único de maximo 20 caracteres
// description	string	Si	Descripción del pago a realizar
// amount	float	Si	Valor total a pagar con dos decimales. Sumatoria de: amountWithTax + amountWithoutTax + tax
// amountWithTax	float	Si	Valor total con impuestos
// amountWithoutTax	float	Si	Valor total sin impuestos
// tax	float	Si	Impuesto calculado sobre amountWithTax
// notifyUrl	string	No	URL donde se redireccionara una vez autorizado el pago, se envían los valores por POST: authorizationCode, status, reference, clientId, transactionDate, message, cardNumber, cardBrand, cardHolder, ipAddress
// gateway	integer	Si	Red de cobro configurada con la cual se va a cobrar: 1: Alignet, 2: Payphone, 3: Datafast, 4: Paymentez
// generateInvoice	integer	No	1 para generar factura automáticamente, 0 para no. Debe tener configurado su cuenta en FacturaSoft


// echo '*/*/*/'.$body;
curl_setopt($ch, CURLOPT_POSTFIELDS, $body);

$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);



echo '*/*/*/*';
echo $status;
echo '*/*/*/*';
echo $response;








?>